Magick++ 7.1.0

Public Member Functions | Protected Member Functions | List of all members
Magick::ColorGray Class Reference

`#include <Color.h>`

Inheritance diagram for Magick::ColorGray:
[legend]
Collaboration diagram for Magick::ColorGray:
[legend]

## Public Member Functions
| ColorGray (void)
| ColorGray (const Color &color_)
| ColorGray (const double shade_)
| ~ColorGray ()
void | shade (const double shade_)
double | shade (void) const
ColorGray & | operator= (const Color &color_)
Public Member Functions inherited from Magick::Color
| Color (void)
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_)
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_, const Magick::Quantum alpha_)
| Color (const Magick::Quantum cyan_, const Magick::Quantum magenta_, const Magick::Quantum yellow_, const Magick::Quantum black_, const Magick::Quantum alpha_)
| Color (const char *color_)
| Color (const Color &color_)
| Color (const PixelInfo &color_)
| Color (const std::string &color_)
virtual | ~Color (void)
Color & | operator= (const Color &color_)
const Color & | operator= (const char *color)
const Color & | operator= (const PixelInfo &color_)
const Color & | operator= (const std::string &color)
| operator PixelInfo () const
| operator std::string () const
bool | isFuzzyEquivalent (const Color &color_, const double fuzz_) const
void | isValid (const bool valid_)
bool | isValid (void) const
Magick::Color::PixelType | pixelType (void) const
void | quantumAlpha (const Quantum alpha_)
Quantum | quantumAlpha (void) const
void | quantumBlack (const Quantum black_)
Quantum | quantumBlack (void) const
void | quantumBlue (const Quantum blue_)
Quantum | quantumBlue (void) const
void | quantumGreen (const Quantum green_)
Quantum | quantumGreen (void) const
void | quantumRed (const Quantum red_)
Quantum | quantumRed (void) const

## Protected Member Functions
| ColorGray (PixelInfo *rep_, PixelType pixelType_)
Protected Member Functions inherited from Magick::Color
| Color (PixelInfo *rep_, PixelType pixelType_)
| Color (PixelType pixelType_)
void | pixel (PixelInfo *rep_, PixelType pixelType_)

## Additional Inherited Members
Public Types inherited from Magick::Color
enum | PixelType { CMYKPixel, CMYKAPixel, RGBPixel, RGBAPixel }
Static Protected Member Functions inherited from Magick::Color
static Quantum | scaleDoubleToQuantum (const double double_)
static double | scaleQuantumToDouble (const Quantum quantum_)
Protected Attributes inherited from Magick::Color
PixelInfo * | _pixel

## Detailed Description

Definition at line 246 of file Color.h.

## Constructor & Destructor Documentation

## ◆ ColorGray() [1/4]

Magick::ColorGray::ColorGray | ( | void |  | ) |

Definition at line 548 of file Color.cpp.

## ◆ ColorGray() [2/4]

Magick::ColorGray::ColorGray | ( | const Color & | color_ | ) |

Definition at line 553 of file Color.cpp.

## ◆ ColorGray() [3/4]

Magick::ColorGray::ColorGray | ( | const double | shade_ | ) |

Definition at line 558 of file Color.cpp.

## ◆ ~ColorGray()

Magick::ColorGray::~ColorGray | ( |  | ) |

Definition at line 564 of file Color.cpp.

## ◆ ColorGray() [4/4]

Magick::ColorGray::ColorGray | ( | PixelInfo * | rep_,
|  | PixelType | pixelType_
| ) |  |
| protected

Definition at line 587 of file Color.cpp.

## Member Function Documentation

## ◆ operator=()

Magick::ColorGray & Magick::ColorGray::operator= | ( | const Color & | color_ | ) |

Definition at line 581 of file Color.cpp.

## ◆ shade() [1/2]

void Magick::ColorGray::shade | ( | const double | shade_ | ) |

Definition at line 568 of file Color.cpp.

## ◆ shade() [2/2]

double Magick::ColorGray::shade | ( | void |  | ) | const

Definition at line 576 of file Color.cpp.

The documentation for this class was generated from the following files:

- Color.h
- Color.cpp